<template>
    <div>
        <section class="hero" style="max-height: 100vh">
            <div class="">
                <div class="container has-text-centered">
                    <div class="level is-mobile">
                        <!-- Left side -->
                        <div class="level-left">
                        </div>
                        <!-- Right side -->
                        <div class="level-right">
                            <p class="level-item"><a @click="$router.go(-1)" class="button is-danger is-outlined">Back</a></p>
                        </div>
                    </div>
                    
                    <div class="column is-6 is-offset-3">
                        <h3 class="title has-text-grey">My Profile</h3>
                        <div class="box">

                                <div class="field">
                                    <label class="label" style="text-transform: lowercase;">Nickname:</label>                                    
                                    <span class="icon is-small is-left">
                                      <i class="fa fa-user"></i>
                                    </span>
                                    {{name}}
                                </div>

                                <div class="field">
                                    <label class="label" style="text-transform: lowercase;">UID:</label>
                                    {{uid}}
                                </div>
                                
                                <!-- div class="form-footer has-text-centered mt-10">
                                    <button @click="updateProfile" class="button cta is-large primary-btn raised is-clear" 
                                    :class="{ 'is-loading': loading }">Update</button>
                                </div -->

                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>
</template>

<script>
import { DB } from '@/plugins/firebase.js';

export default {
  data: function () {
    return {
        name: this.$store.getters.name ,
        uid: this.$store.getters.isAuthenticated,
    }
  },
  methods: {
      updateProfile: function () {
          self.loading = true
          var user = {
              name: this.name,
              uid: this.uid
          }

            DB.ref('users/' + this.uid).update(user)
            .then(function() {
                
                self.$store.dispatch('signin', user)
                self.$izitoast.success({
                    title: 'Hooray',
                    message: "Nickname updated!"
                })
                self.$router.push('/topics')
                self.loading = false
            })
            .catch(error => {
            // Handle Errors here.
                console.log(error.message)
                self.loading = false
                self.$izitoast.error({
                    title: 'Uh-oh',
                    message: error.message
                })
            });

      }
  },
  mounted(){

  },
  middleware: 'auth'
}
</script>
